org.apache.poi.poifs.crypt

## Enum EncryptionMode

- java.lang.Object
- - java.lang.Enum<EncryptionMode>
  - - org.apache.poi.poifs.crypt.EncryptionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EncryptionMode>

      public enum EncryptionMode
      extends java.lang.Enum<EncryptionMode>

  Office supports various encryption modes. The encryption is either based on the whole container (`agile`, `standard` or `binaryRC4`) or record based (`cryptoAPI`). The record based encryption can't be accessed directly, but will be invoked by using the `Biff8EncryptionKey.setCurrentUserPassword(String)` before saving the document.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `agile`
    `binaryRC4`
    `cryptoAPI`
    `standard`
    `xor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `builder`
    `int` | `encryptionFlags`
    `int` | `versionMajor`
    `int` | `versionMinor`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EncryptionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EncryptionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### binaryRC4

          public static final EncryptionMode binaryRC4

    - #### cryptoAPI

          public static final EncryptionMode cryptoAPI

    - #### standard

          public static final EncryptionMode standard

    - #### agile

          public static final EncryptionMode agile

    - #### xor

          public static final EncryptionMode xor

  - ### Field Detail

    - #### builder

          public final java.lang.String builder

    - #### versionMajor

          public final int versionMajor

    - #### versionMinor

          public final int versionMinor

    - #### encryptionFlags

          public final int encryptionFlags

  - ### Method Detail

    - #### values

          public static EncryptionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EncryptionMode c : EncryptionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EncryptionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.